import request from '@/utils/request'

// 查询企业信息列表
export function listCompany(query) {
  return request({
    url: '/system/company/list',
    method: 'get',
    params: query
  })
}

// 查询企业信息详细
export function getCompany(companyId) {
  return request({
    url: '/system/company/' + companyId,
    method: 'get'
  })
}

// 新增企业信息
export function addCompany(data) {
  return request({
    url: '/system/company/add',
    method: 'post',
    data: data
  })
}

// 修改企业信息
export function updateCompany(data) {
  return request({
    url: '/system/company/upd',
    method: 'post',
    data: data
  })
}

// 删除企业信息
export function delCompany(companyId) {
  return request({
    url: '/system/company/' + companyId,
    method: 'delete'
  })
}

// 导出企业模板下载

export function downTemplate() {
  return request({
    url: '/system/company/export',
    method: 'get',
  })
}

// 开始模板导入 

export function importTemplate() {
  return request({
    url: '/system/company/import',
    method: 'get',
   })
}

// 导入记录 /system/company/export


export function importTemplateRecord() {
  return request({
    url: '/system/company/export',
    method: 'get',
    responseType: 'blob'
  })
}
// /system/doc/list 慧企政策列表
export function docList() {
  return request({
    url: '/system/doc/list',
    method: 'get',
    responseType: 'blob'
  })
}